<cfif IsDefined("Form.submitButton")>
	<cfquery datasource = "cfartgallery">
		<cfif Form.submitButton EQ "Add Artist">
			INSERT INTO Artists
			(
			FIRSTNAME, LASTNAME, EMAIL, PHONE, FAX,
			ADDRESS, CITY, STATE, POSTALCODE, THEPASSWORD
			)
			VALUES
			(
			<cfqueryparam value="#Left(FORM.artistFirstName, 20)#"
				cfsqltype="cf_sql_varchar" maxlength="20">,
			<cfqueryparam value="#Left(FORM.artistLastName, 20)#"
				cfsqltype="cf_sql_varchar" maxlength="20">,
			<cfqueryparam value="#Left(FORM.artistEmail, 50)#"
				cfsqltype="cf_sql_varchar" maxlength="50">,
			<cfqueryparam value="#Left(FORM.artistPhone, 20)#"
				cfsqltype="cf_sql_varchar" maxlength="20">,
			<cfqueryparam value="#Left(FORM.artistFax, 12)#"
				cfsqltype="cf_sql_varchar" maxlength="12">,
			<cfqueryparam value="#Left(FORM.artistAddress, 50)#"
				cfsqltype="cf_sql_varchar" maxlength="50">,
			<cfqueryparam value="#Left(FORM.artistCity, 20)#"
				cfsqltype="cf_sql_varchar" maxlength="20">,
			<cfqueryparam value="#Left(FORM.artistState, 2)#"
				cfsqltype="cf_sql_varchar" maxlength="2">,
			<cfqueryparam value="#Left(FORM.artistZIP,10)#"
				cfsqltype="cf_sql_varchar" maxlength="10">,
			<cfqueryparam value="#Left(FORM.artistPassword, 20)#"
				cfsqltype="cf_sql_varchar" maxlength="8">
			)
		<cfelseif Form.submitButton EQ "Update Artist">
			UPDATE Artists SET
			FIRSTNAME =
			<cfqueryparam value="#Left(FORM.artistFirstName, 20)#"
				cfsqltype="cf_sql_varchar" maxlength="20">,
			LASTNAME =
			<cfqueryparam value="#Left(FORM.artistLastName, 20)#"
				cfsqltype="cf_sql_varchar" maxlength="20">,
			EMAIL =
			<cfqueryparam value="#Left(FORM.artistEmail, 50)#"
				cfsqltype="cf_sql_varchar" maxlength="50">,
			PHONE =
			<cfqueryparam value="#Left(FORM.artistPhone, 20)#"
				cfsqltype="cf_sql_varchar" maxlength="20">,
			FAX = <cfqueryparam value="#Left(FORM.artistFax, 12)#"
				cfsqltype="cf_sql_varchar" maxlength="12">,
			ADDRESS =
			<cfqueryparam value="#Left(FORM.artistAddress, 50)#"
				cfsqltype="cf_sql_varchar" maxlength="50">,
			CITY =
			<cfqueryparam value="#Left(FORM.artistCity, 20)#"
				cfsqltype="cf_sql_varchar" maxlength="20">,
			STATE =
			<cfqueryparam value="#Left(FORM.artistState, 2)#"
				cfsqltype="cf_sql_varchar" maxlength="2">,
			POSTALCODE =
			<cfqueryparam value="#Left(FORM.artistZIP,10)#"
				cfsqltype="cf_sql_varchar" maxlength="10">,
			THEPASSWORD =
			<cfqueryparam value="#Left(FORM.artistPassword, 20)#"
				cfsqltype="cf_sql_varchar" maxlength="8">
			WHERE ARTISTID = <cfqueryparam value="#FORM.artistID#"
				cfsqltype="cf_sql_integer">
		<cfelseif Form.submitButton EQ "Delete Artist">
			DELETE FROM Artists
			WHERE ARTISTID = <cfqueryparam value="#FORM.artistID#"
				cfsqltype="cf_sql_integer">
		</cfif>
	</cfquery>
</cfif>

<form action="index.cfm" method="post">
	Artist ID: <input name="artistID" type="text">
	(required for Update and Delete; ignored for Add)<br>
	Artist First Name: <input name="artistFirstName" type="text"><br>
	Artist Last Name: <input name="artistLastName" type="text"><br>
	Artist Email: <input name="artistEmail" type="text"><br>
	Artist Phone: <input name="artistPhone" type="text"><br>
	Artist Fax: <input name="artistFax" type="text"><br>
	Artist Address: <input name="artistAddress" type="text"><br>
	Artist City: <input name="artistCity" type="text"><br>
	Artist State: <input name="artistState" type="text"><br>
	Artist ZIP: <input name="artistZIP" type="text"><br>
	Artist Password: <input name="artistPassword" type="text"><br>
	<input name="submitButton" type="submit" value="Add Artist">
	<input name="submitButton" type="submit" value="Update Artist">
	<input name="submitButton" type="submit" value="Delete Artist">
</form>

<cfquery name="Variables.artists" datasource = "cfartgallery">
	SELECT * FROM Artists
</cfquery>

<cfdump var="#Variables.artists#">