
<cfcomponent>
<cffunction name="getAllArt" access="remote" returntype="struct">
	<cfargument name="page" type="numeric" required="true">
	<cfargument name="pageSize" type="numeric" required="true">
	<cfargument name="sortColumn" type="string" required="true">
	<cfargument name="sortDirection" type="string" required="true">
	
	<cfquery name="Local.artQuery">
		SELECT * FROM Art
	</cfquery>
	
	<cfset Local.returnVal = queryConvertForGrid(Local.artQuery,
		Arguments.page, Arguments.pageSize)>
	
	<cfreturn Local.returnVal>
</cffunction>

<cffunction name="changeArt" access="remote" returntype="boolean">
	<cfargument name="action" type="string" required="true">
	<cfargument name="row" type="struct" required="true">
	<cfargument name="changed" type="struct" required="true">
	
	<cfset Local.lCount = 0>
	<cfset Local.sCount = StructCount(Arguments.changed)>
	
	<cfif Arguments.action EQ "U">
		<cfquery>
			UPDATE Art SET
			<cfloop item="Local.key"
				collection="#Arguments.changed#">
				
				<cfset Local.lCount = Local.lCount + 1>
				
				#Local.key# = <cfqueryparam
				value="#Arguments.changed[Local.key]#">
				
				<cfif Local.lCount NEQ Local.sCount>
					,
				</cfif>
			</cfloop>
			WHERE ArtID = <cfqueryparam
				value="#Arguments.row.ArtID#"
				cfsqltype="cf_sql_integer">
		</cfquery>
	</cfif>
	
	<cfreturn True>
</cffunction>
</cfcomponent>